Bug 812889 (CVE-2012-2103)

Summary: CVE-2012-2103 munin: Insecure temp file use in qmailscan plug-in
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: drjohnson1, ingvar, jvanek, kevin
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120414,reported=20120414,source=debian,cvss2=1.9/AV:L/AC:M/Au:N/C:N/I:P/A:N,fedora-all/munin=affected,epel-all/munin=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 01:56:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 812893, 812894    
Bug Blocks:    

Description Jan Lieskovsky 2012-04-16 09:38:20 EDT
An insecure temporary file use flaw was found in the way qmailscan (plug-in to graph output from qmailscan and clamav) plug-in of the Munin, a network-wide graphing framework performed scan of qmailscan log files for presence of disallowed characters. A local attacker could use this flaw to conduct symbolic link attacks (possibly leading to attacker's ability to overwrite or remove arbitrary files, belonging to the user, running the Munin qmailscan log files scannning).

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668778
Comment 1 Jan Lieskovsky 2012-04-16 09:46:13 EDT
This issue affects [*] the versions of the Munin package, as shipped with Fedora release of 15 and 16. Please schedule an update once final upstream patch is available.

--

This issue affects [*] the versions of the Munin package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update once final upstream patch is available.

[*] We doesn't seem to ship Qmail package in Fedora / Fedora EPEL, thus not sure, how much widely Munin's qmailscan plug-in might be used there (but since Clamav Antivirus is shipped, assuming it would be possible to reach / exploit this via qmailscan plug-in).
Comment 2 Jan Lieskovsky 2012-04-16 09:48:15 EDT
Created munin tracking bugs for this issue

Affects: fedora-all [bug 812893]
Affects: epel-all [bug 812894]
Comment 3 Jan Lieskovsky 2012-04-16 09:57:02 EDT
CVE Request:
[2] http://www.openwall.com/lists/oss-security/2012/04/16/5
Comment 4 Kurt Seifried 2012-04-16 15:20:46 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/04/16/6